
# Messaggi di errore standard - ResponseOutcome

1 = Error
90401 = The field is mandatory
90402 = The field is empty (an empty field is not valid)
90403 = The field is out of range
90404 = The field is not valid
90405 = The field is in overflow
90406 = The value of currency is not valid
90407 = Field type is not valid (cast exception)
90408 = Internal error, invalid method checking
90409 = Language code is mandatory
90410 = Customer is not valid
90411 = Customer is not valid (cancelled)
90412 = Instance code is mandatory
90413 = Instance is not valid
90414 = Instance is not valid (cancelled)
90415 = Instance is not valid (not exist)
90416 = Technology code is mandatory
90417 = Client id is mandatory
90418 = Technology doesn't exist
90419 = Technology is not valid
90420 = Technology is not valid (cancelled)
90421 = Check the registered device's table (integrity fault)
90422 = Check the registration code's table (integrity fault)
90423 = Registration code is not found
90424 = Registration code limit overflow
90425 = Registration code is not matching with valid zone code
90426 = Registration code not found (cancelled)
90427 = Preregistration failed, device id is not valid
90428 = Display resolution code not valid
90429 = Display resolution code not found
90430 = Zone is not valid
90431 = Zone is not valid (cancelled)
90432 = Zone is not valid (activation rule restriction)
90433 = Parameter 'zoneCode' is mandatory
90434 = Changing zone is not allowed
90435 = Profile not found
90436 = Profile is not valid (cancelled)
90437 = Profile without required package association
90438 = Package not found
90439 = Package not valid
90440 = Package is not valid (cancelled)
90441 = Package without services
90442 = Package with all his service is deleted
90442 = Package not matching with registration zone
90444 = Any activated packages for this technology
90445 = Any technology/display association found
90446 = Background size code not valid
90447 = Background size code not found
90448 = Any technology/display/background association found
90449 = (Normalized) Display resolution code not valid
90450 = Device is not valid, verify registration
90451 = Device is not valid, verify registration (cancelled)
90452 = Device is not valid, complete registration
90453 = Device is not valid, complete registration with code
90454 = Maximum number of devices reached
90455 = Only ione menu is allowed for the istance
90456 = Any valid menu found for this instance
90457 = Menu structure is not valid, any root found
90458 = Menu structure is not valid, any element found
90459 = Menu structure is not valid, any module found
90460 = Menu structure is not valid, any theme found
90461 = Menu structure is not valid, root without any object
90462 = Menu structure is not valid, any service found in this zone
90463 = Menu structure is not valid, found element without image
90464 = Menu structure is not valid, found valid element without valid render
90465 = Menu structure is not valid, any main element found
90466 = Menu structure is not valid, any application found

90470 = Any file to upload
90471 = Upload file error; do not overwrite
90472 = Upload file error; duplicated file
90473 = Upload file error!
90474 = Upload file error; can not write
90475 = Group code is not valid
90476 = Group code is mandatory
90477 = Group code is not valid (too many records)
90478 = Group code record not found
90479 = Error creating directory
90480 = Upload resource type not valid or not managed
90481 = Not valid gallery coordinate
90482 = Not valid image extention for selected type
90483 = Not valid image; not valid info
90484 = Duplicated resource file
90485 = Any valid credential field are not found
90486 = Username/password not valid
90487 = Username/password not valid (too many records)
90488 = Role not valid
90489 = Role not valid (too many records)
90490 = File format not valid
90491 = Empty query
90492 = SQL error
90493 = Column do not match
90494 = Draft type is not valid
90495 = User not valid (not fonud)

90510 = Malformed XML document
90511 = XML element is empty
90513 = Error building XML menu interface
90514 = Error building XML theme interface
90520 = Protocol version is mandatory
90521 = Protocol version not valid
90522 = Protocol version out of range
90530 = Any immutable data are passed, check system!
90531 = Client id (unique) not valid, check sequence of client process
90532 = Device id is mandatory
90533 = Techonology class do not match with unique client id record
90534 = Immutable data do not match with unique client id record
90535 = Device generated id (old clientId ) is mandatory
90560 = Resource does not exist
90561 = Resource is not valid
90562 = Resource is not valid (cancelled)
90563 = Resource is not valid, file not found
90564 = Theme is not valid
90565 = Theme is not valid (cancelled)
90566 = Theme is not valid (not publishable)
90567 = Theme renderer association is not valid
90568 = Theme renderer association is not valid (cancelled)
90569 = Found too match valid theme renderer association
90570 = Renderer for menu is not found
90571 = Renderer for menu is not found (cancelled)
90572 = Renderer info for menu/screen not found
90573 = Renderer info for menu/screen not found (cancelled)
90574 = Renderer background image for menu/screen not found
90575 = Instance/Technology does not exist
90576 = Instance/Technology is not valid
90577 = Instance/Technology is not valid (cancelled)
90578 = Theme is not valid for this instance
90579 = Resource id is not valid (not found)
90580 = Any valid feedback XML
90581 = Any valid feedback value, number expected
90582 = Any valid feedback value
90583 = Any valid service id in feedback
90584 = Any service id was found in feedback
90585 = Any data/time value was found
90586 = Any data/time format was found
90587 = Feedback action id is not valid in XML
90588 = Service id is not valid
90589 = Service id is not valid (cancelled)
90590 = Any valid id service for credits feedback
90591 = Number format exception on credits left value
90592 = Number format exception on credits used value
90593 = Service on demand action not valid
90594 = Service not compatible with instance
90595 = Any package found for service
90596 = Any renewal found for service
90597 = Service is not on demand
90598 = Service is not on demand (cancelled)
90599 = Service/category is not valid
90600 = I/O error contacting url
90601 = Url exception
90602 = Any valid response content type (text/xml)
90603 = Null response from remote server
90604 = JDOM exception in remote server response
90605 = XML is not valid in remote server response
90606 = XML tag is not valid in remote server response
90607 = Notify record not found in table
90608 = Market code or id not valid for the instance
90609 = Market code and id not match the same market
90610 = Remote server ko http response code
90611 = Undefined remote return code and message
90612 = Input XML request is null
90613 = Input XML request is not valid
90614 = Input XML request not valid; FILTER is empty
90615 = Input XML request not valid; MESSAGE is empty
90616 = Input XML request not valid; INSTANCE-CODE is mandatory
90617 = Input XML request not valid; INSTANCE-CODE is not valid
90620 = Push message channel not valid
90621 = Push message channel not valid (cancelled)
90622 = Push message channel cathegory not managed
90623 = Push message is too long
90624 = Push message target for statement is null
90625 = Push message target for statement is not valid
90626 = Id gallery is not valid
90627 = Input XML request not valid; BODY is null
90629 = Input XML request not valid; FILTER is inconsistent
90629 = Push, certificate file is not found
90630 = Push message not found in database
90631 = Push channel not configured
90632 = Push channel configuration is not valid
90633 = Push channel configuration error
90634 = Push processor not found for channel category
90635 = Message feedback is not valid
90636 = One or more push command are not valid, check XML
90637 = One or more argument are not valid, check command XML
90638 = Mandatory argument are not found, check command XML
90639 = Too many command was found in the list
90640 = Google auth key null or invalid
90650 = Only one ip in header response
90651 = GeoIp data file not found
90652 = IP is mandatory
90653 = IP is not valid
90654 = GeoIp lookup locator is null
90656 = GeoIp location is null
90657 = GeoIp method is not valid
90720 = Push action is not valid
90721 = Device not registered to push service, refresh operation is not valid
90723 = Device not registered to push service (deleted), refresh operation is not valid
90730 = Users provider not valid, check instance configuration or add a call parameter
90731 = Users provider not valid (cancelled), check instance configuration
90732 = Users provider MyDesktopMate is not valid
90733 = Users provider MyDesktopMate is not valid (cancelled)
90734 = Device user is not valid (corrupted database)
90735 = Users provider not found, check URL parameter or server configuration
90736 = Users provider not valid, check call parameter or server configuration
90740 = Export request is expired
90741 = Export bind ticket is not found
90742 = Export file is not found
90748 = Session token is not valid (too short, min 10)
90749 = Session token is not valid (too long, max 32 )
90750 = Session token is not valid (not found)
90751 = Event code is not valid
90800 = HTTP method GET is not supported by this URL
90801 = Specify a valid statement in request call
90802 = Any valid statement in request call
90803 = Difference between header and query string value for the statement
90804 = Request class was not found
90805 = Response class was not found
90806 = Internal error, unsupported type class in method
90807 = Internal error, unsupported type class
90808 = Internal security exception
90809 = Internal error, method not found
90810 = Internal error, class instantiation error
90811 = Internal error, class illegal access
90812 = Internal error, unsupported array type class in method
90813 = Internal error, unsupported array type class
90814 = Not valid value, cast exception
90817 = Error open servlet print writer
90818 = Error open servlet output stream
90819 = Error reading from input stream
90820 = Null response is not a valid response
90821 = Response class do not match
90830 = Remote server syncronization in progress, try later
90831 = Remote server syncronization in progress (superadmin), try later
90840 = Any valid value for 'viewsize': use WIDTHxHEIGTH
90841 = Image request mode not valid
90842 = Image request mode not valid
90850 = Customer/Instance do not match
90851 = Source, any languages was found for customer
90852 = Source, any languages was found for instance
90853 = Source, any technologies was found
90854 = Source, any zones was found
90855 = Target customer just exists
90856 = Target customer just exists (cancelled)
90857 = Target instance just exists
90858 = Target instance just exists (cancelled)
90859 = Target, customer language not valid
90860 = Target, instance language not valid
90861 = Target, technology not valid
90862 = Target, zone not valid
90863 = Too many records
90864 = Error compare source/target record
90865 = Source and target list are empty
90866 = Target group already exists
90970 = Application locked on this device
90980 = Internal error, request must implements interface to perform operation
90981 = Class not managed from database field comparator
90982 = Database filed not mapped
90983 = Internal error, request is null
90984 = Request phase is null
90985 = Request phase is not valid
90986 = MultipartFormData request is not valid
90987 = MultipartFormData request upload error
90988 = Request is not a valid MultipartFormData
90989 = Class not managed from database field value function
90990 = Error in accessing the database (timeout)
90991 = Internal server error
90992 = Server manager exception
90993 = Problem contacting remote server
90994 = Error in accessing the database
90995 = Unhandled error
90996 = Service is not active
90997 = Session null or not valid
90998 = Request is not valid
90999 = Response is not valid

50001 = XML request is not valid: 'type' unknown
50002 = XML request is not consistent, verify XML
50003 = XML request is not consistent, add 'registration' to XML
50010 = Internal server error
50011 = Internal server error (unhandled)
50012 = Internal server error (database)
50020 = Master status operation list: 'statement' unknown
50021 = Master status: node info is null
50101 = Forward XML request is null
50103 = Forward XML response is null

80100 = SSO provider is not configured
80101 = SSO provider client configuration not valid
80102 = SSO provider client configuration error
80110 = SSO mobile client not configured
80111 = SSO mobile client configuration not valid
80112 = SSO mobile client configuration error
80120 = SSO error
80121 = SSO login error
80122 = SSO logout error
80123 = SSO changing password error
80124 = SSO get token info error
80125 = SSO get user info error
80126 = Wrong credential

80400 = Couple subscrition/renewal is not found
80401 = Renewal not found for required renewal
80402 = One-shot code not found for required renewal
80403 = One-shot code already used for required renewal
80404 = DesktopMate activation not found
80405 = IMEI code do not match
80406 = Renewal code do not match
80407 = Any valid value for field 'status', accepted 'OK','BURN'
80408 = Renewal not valid, instance do not macth

91000 = Phone Number not Valid
71001 = Date Missing or invalid
71002 = Km Useful is a mandatory field
71003 = Km Useless is a mandatory field
71004 = Km Out Threshold is a mandatory field
71005 = Type is a mandatory field
71006 = Date start is a mandatory field
71007 = Date end is a mandatory field
71008 = Session Token is Invalid


0 = Ok
# 0 = Ok, just notified
#0 = No data found
